/**
 * @file      demo.cpp
 * @brief     simple class implementation
 */
 
 
/**
 * @brief class constructor
 */
DoxyClass::DoxyClass() 
{
	value = 0;
}

/**
 * @brief class destructor
 */
DoxyClass::~DoxyClass() 
{
}

/**
 * @brief add a value to internal member state
 * @param k  value to add
 */
void DoxyClass::add(int k)
{
  value += k;
}

/**
 * @brief get current value of internal member
 */
int DoxyClass::get_sum()
{
	return value;
}
