/**
 * @file      demo.h 
 * @brief     simple class declaration
 */
 
#ifndef __DEMO_H__
#define __DEMO_H__

/**
 * @class DoxyClass
 * @brief Simple demo class
 *
 * A simple demo class for documentation
 */
class DoxyClass 
{
public:
  DoxyClass();
  ~DoxyClass();
  
public:
  void add(int k);
  int get_sum();
  
private:
  int value; //!< internal state member
};

#endif
